ENV(1)

NOMBRE
env - ejecuta un programa con un entorno modificado

SINOPSIS
env [OPCIÓN]... [-] [NOMBRE=VALOR]... [ORDEN [ARGUMENTO]...]

DESCRIPCIÓN

Asigna a cada NOMBRE el VALOR en el entorno y ejecuta ORDEN.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

-l, --argv0=ARGUMENTO
    pass ARGUMENTO como el argumento cero de ORDEN

-i, --ignore-environment
    comienza con un entorno vacío

-0, --null
    termina cada línea con NULL, no con nueva línea

-u, --unset=NOMBRE
    borra la variable del entorno

-C, --chdir=DIR
    modifica el directorio de trabajo a DIR

-S, --split-string=S
    procesa y trocea S en argumentos separados; usado para poner varios argumentos en la línea del shebang

--block-signal[=SIG]
    bloquea la(s) señal(es) SIG a la orden

--default-signal[=SIG]
    el efecto de la(s) señal(es) SIG será el que tienen por defecto

--ignore-signal[=SIG]
    no responde a la(s) señal(es) SIG

--list-signal-handling
    muestra por la salida de error estándar las señales que tienen su interpretación modificada

-v, --debug
    muestra información prolija para cada paso

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

Un simple - implica -i. Si no hay ORDEN, muestra el entorno resultante.

SIG puede ser un nombre de señal como 'PIPE', un número de señal como '13'. Sin SIG, se incluirán todas las señales conicidas. Para indicar varias, tienen que separarse por comas. Un argumento SIG vacío es un no-op.

  Estado de salida:

125 si falla la propia orden env falla

126 si se encuentra la ORDEN pero no puede ser invocada

127 Si no puede encontrarse la ORDEN

-   el estado de salida de la ORDEN en cualquier otro caso

MANEJO DE OPCIONES DE SCRIPT
La opción -S permite definir múltiples argumentos en un script. Al ejecutar un script llamado 1.pl que empiece por esta línea:

    #!/usr/bin/env -S perl -w -T
    ...

Ejecutará perl -w -T 1.pl

Si no si indica el parámetro '-S',el script seguramente dé el siguiente error:

    /usr/bin/env: 'perl -w -T':No existe el fichero o el directorio

Consulte la documentación completa para más detalles.

NOTAS
La página POSIX de exec(3p) dice lo siguiente:
    "muchas aplicaciones existentes asumen erróneamente un funcionamiento estándar de las señales (que no se ignoren ni se bloqueen..). Por lo tanto, es mejor no bloquear o ignorar señales entre ejecuciones sin una buena razón para hacerlo, y especialmente no bloquear señales a través de la ejecución de programas arbitrarios (que no cooperen estrechamente entre si)."

AUTOR
Escrito por Richard Mlynarik, David MacKenzie y Assaf Gordon.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

VÉASE TAMBIÉN
sigaction(2), sigprocmask(2), signal(7)

Ayuda en línea: <https://www.gnu.org/software/coreutils/env>
también disponible localmente ejecutando: info '(coreutils) env invocation'

Empaquetado en Debian (9.7-3)
Copyright © 2025 Free Software Foundation, Inc.
Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo.
NO HAY GARANTÍA, en la medida permitida por la legislación.

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Victor Moral <victor@venexma.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.